OpenTTD

Public Member Functions | Data Fields
ReadBuffer Struct Reference

A buffer for reading (and buffering) savegame data. More...

## Public Member Functions
| ReadBuffer (LoadFilter *reader)
| Initialise our variables. More...
byte | ReadByte ()
size_t | GetSize () const
| Get the size of the memory dump made so far. More...

## Data Fields
byte | buf [MEMORY_CHUNK_SIZE]
| Buffer we're going to read from.
byte * | bufp
| Location we're at reading the buffer.
byte * | bufe
| End of the buffer we can read from.
LoadFilter * | reader
| The filter used to actually read.
size_t | read
| The amount of read bytes so far from the filter.

## Detailed Description

A buffer for reading (and buffering) savegame data.

Definition at line 299 of file saveload.cpp.

## Constructor & Destructor Documentation

## ◆ ReadBuffer()

ReadBuffer::ReadBuffer | ( | LoadFilter * | reader | ) |
| inline

Initialise our variables.

Parameters

  reader | The filter to actually read data.

Definition at line 310 of file saveload.cpp.

References buf, lengthof, LoadFilter::Read(), and SlErrorCorrupt().

## Member Function Documentation

## ◆ GetSize()

size_t ReadBuffer::GetSize | ( |  | ) | const
| inline

Get the size of the memory dump made so far.

Returns
  The size.

Definition at line 332 of file saveload.cpp.

References bufp.

Referenced by MemoryDumper::Flush().

The documentation for this struct was generated from the following file:

- src/saveload/saveload.cpp